timeframe: 3m
cache_db: ../DB/combined_cache_3m_14400_24u.db
strategy_class: strategies.breakout_avaai_full_with_universe_7.BreakoutAVAAIFull
open_on_heat: false
open_heat_min: 0.01
position_mode: oneway
strategy_params:
  side: BOTH
  top_n: 4
  length: 9
  macd_filter: 1
  volume_length: 16
  adx_length: 14
  adx_threshold: 22
  atr_threshold_ratio: 0.0022
  tp_atr_mult: 3.8
  sl_atr_mult: 0
  min_qv_24h: 0.0
  min_qv_1h: 0.0
  min_atr_ratio: 0.017
  min_momentum_sum: 0
  fee_rate: 0.001
  slippage_per_side: 0.0016
  exit_on_heat: true
  heat_exit_threshold: 0.93
  heat_exit_min_rr: 1.13
  partial_tp_enable: true
  partial_tp_frac: 0.5
  partial_trigger_frac_of_tp: 0.5
  exchange_min_notional: 2.2
  min_qty: 0.0
  max_atr_ratio_entry: 0.06
  max_sl_bps: 180
  vol_spike_k_median: 2.5
  vol_median_window: 200
  impulse_bps: 120
  wick_ratio_max: 0.45
  position_downscale_on_high_vol: true
  target_atr_ratio: 0.025
trace_calls:
  enabled: true
  root_dir: cache/trace
  sqlite_name: calls.db
  sample_rate: 1.0
  max_arg_size_mb: 8
  redact_keys:
  - api_key
  - secret
  - password
  - auth
  include: []
  exclude: []
side_filter:
  ema_fast: 20
  ema_slow: 55
  vwap_len: 40
  atr_len: 14
  adx_len: 14
  z_len: 50
  z_long_min: 0.8
  z_short_min: 0.8
  min_adx: 18
  htf_trend_filter: true
  htf_ema_fast: 50
  htf_ema_slow: 150
  votes_needed: 2
  symbol_overrides:
    BIO/USDT:USDT:
      block_short_on_htf_uptrend: true
portfolio:
  position_notional: 4.5
  position_notional_max: 61
  initial_equity: 61
  max_notional_frac: 0.99
  slippage_per_side: 0.0016
  fee_rate: 0.002
session:
  open_every_bar: true
top-n: 8.0
tf: 3m
